#ifndef GBMATRIXVECTOR_H
#define GBMATRIXVECTOR_H

#include <sys/time.h>
#include <float.h>
#include <cublas_v2.h>
#include <gsl/gsl_cblas.h> 

extern "C" {
#include "gb_common.h"
}
#include "gb_common_cuda.h"

int main(int argc, char** argv);

int matrixvector(int device, int rows, int cols, int sizeofelem, double *time_cpu, double *time_gpu);

void matrixvectorHelp(void);

#endif
